Skip to main content

Mastercard Bill Payments


This section describes how to request an authorization for a Mastercard Bill Payment. This feature is supported only for .

In Brazil, you can participate in a Mastercard Bill Payment program. If your account is enrolled in the program, your customers can use their Mastercard payment cards to make payments on their outstanding bills.

Supported Processor

Prerequisite

Sign up with Mastercard to participate in their bill payment program.

Field Specific to This Use Case

When you send an authorization request for a Mastercard Bill Payment, include the processingInformation.authorizationOptions.billPaymentType field that indicates the type of bill that the cardholder is paying.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "orderInformation": {        "billTo": {            "country": "BR",            "lastName": "Doe",            "firstName": "John",            "address1": "Av Pres Juscelino Kubistchek 1909",            "address2": "",            "postalCode": "04543907",            "locality": "Sao Paulo",            "administrativeArea": "SP",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "BRL"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "12",            "expirationYear": "2031",            "number": "555555555555xxxx",            "securityCode": "123",            "type": "002"        }    },    "processingInformation": {        "authorizationOptions": {            "billPaymentType": "001"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6863356803746501803955/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6863356803746501803955"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6863356803746501803955/captures"    }  },  "clientReferenceInformation" : {    "code" : "1686335680358"  },  "id" : "6863356803746501803955",  "orderInformation" : {    "amountDetails" : {      "authorizedAmount" : "100.00",      "currency" : "brl"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "002"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "002"    },    "card" : {      "type" : "002"    }  },  "processorInformation" : {    "approvalCode" : "010012",    "networkTransactionId" : "999010012",    "transactionId" : "72b2900a9f316142b627a21031b48b0c259f08ffba0004172a04450c5d212345",    "responseCode" : "400",    "avs" : {      "code" : "2"    }  },  "reconciliationId" : "NHRRGOVtUxkb",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-06-09T18:34:40Z"}

Required Fields

Use these required fields to authorize a Mastercard bill payment.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
processingInformation.authorizationOptions.billPaymentTypeSet the value to indicate the type of bill that the cardholder is paying.

Last published: September 29, 2026